Skip to main content

Create filters for grid​

Create a new saved filter for the selected grid.

Path Parameters
  • gridId int32 required
Request Body

Filter details to save for the selected grid.

  • filterName string

    Display name for the saved grid filter.

  • rules object[]

    List of rule conditions that define the filter logic.

  • filterBy string

    Grid field name used for this filter condition.

  • condition string

    Comparison operator used to evaluate the field value.

  • value string

    Value to compare against for this filter condition.

  • associations object[]

    Users and groups who can view or use this filter.

  • id int32

    This gives Id of user or user group or external user group

  • name string

    This gives name of user or user group or external user group

  • type UserAndUserGroupsType

    Possible values: [USER, USER_GROUP, EXTERNAL_USER_GROUP]

    Tells what kind of user or user group it is

Responses

OK


Schema
  • errorMessage string

    Tells about the error occured

  • errorCode ErrorCode

    Possible values: [NO_ERROR, INVALID_INPUT, VALUE_NOT_FOUND, UNKNOWN_EXCEPTION, CONNECTION_PROBLEM, UNKNOWN_SQL_ERROR, INVALID_USER, INVALID_OPERATION_TYPE, INTERNAL_SERVER_PROBLEM, INSUFFICIENT_USER_PERMISSION_ON_ENTITY, INVALID_ENTITY_ID, REFRESH_TOKEN_EXPIRED]

    Error code value

Loading...